%define lib_api		0
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel	%mklibname %{name} -d

Name:		sratom
Version:	0.4.2
Release:	%mkrel 5
Summary:	Library for serialising LV2 atoms to/from RDF, particularly the Turtle syntax
Source0:	http://download.drobilla.net/%{name}-%{version}.tar.bz2
URL:		http://drobilla.net/software/%{name}/
License:	ISC License (ISC)
Group:		System/Libraries

BuildRequires:	waf
BuildRequires:	pkgconfig
BuildRequires:	glib2-devel
BuildRequires:	serd-devel
BuildRequires:	sord-devel
BuildRequires:	pkgconfig(lv2)

%description
Lightweight C library for storing RDF data in memory.

%files
%doc COPYING README

#-----------------------------------
%package -n %{lib_name}
Summary:	Library for serialising LV2 atoms to/from RDF, particularly the Turtle syntax
Group:		System/Libraries
Obsoletes:	%{_lib}sratom0 < 0.4.2-3

%description -n %{lib_name}
Lightweight C library for storing RDF data in memory.

%files -n %{lib_name}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}.*

#-----------------------------------
%package -n %{lib_name_devel}
Summary:	Headers for the sord RDF storage library
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against %{name}.

%files -n %{lib_name_devel}
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc

#-----------------------------------
%prep
%setup -q

%build
%setup_compile_flags
./waf configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir}
./waf -v

%install
./waf install --destdir=%{buildroot}


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.4.2-5.mga4
+ Revision: 533089
- Mageia 4 Mass Rebuild

* Sun Aug 25 2013 barjac <barjac> 0.4.2-4.mga4
+ Revision: 471443
- rebuild against new lv2

* Sat Jul 13 2013 wally <wally> 0.4.2-3.mga4
+ Revision: 453819
- fix lib pkg name
- use our build time flags
- drop unneeded requires from devel pkg

* Sat Jul 13 2013 barjac <barjac> 0.4.2-2.mga4
+ Revision: 453688
- rebuild against lv2-1.4

* Sat Jul 13 2013 philippedidier <philippedidier> 0.4.2-1.mga4
+ Revision: 453637
- new version 0.4.2

* Mon Jan 14 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 382610
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 barjac <barjac> 0.4.0-1.mga3
+ Revision: 321469
- spec clean
- Import from mandriva


* Sat Aug 25 2012 Frank Kober <emuse@mandriva.org> 0.4.0-1mdv2012.0
+ Revision: 815738
- new version 0.4.0

* Mon Apr 23 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.2.0-1
+ Revision: 792904
- BR:sord-devel
- BR: lv2
- imported package sratom

